<?php
/**
 *
 * @author  ahrasis	http://smf.ahrasis.com
 * @license BSD http://opensource.org/licenses/BSD-3-Clause
 * @mod		SKIM - Simplify KeyInfo Mod
 *
 */

if (!defined('SMF')) 
	die('Hacking attempt...');

function SKIM_Displays(&$buffer)
{
	global $modSettings, $topic, $context;
	
	if (isset($_REQUEST['xml']) || $context['current_action'] == 'printpage') return $buffer;
	
	$skim = array();
	// Define the old and the new
	if (!empty($modSettings['skim_enable']) && !empty($topic)) {
		$oldkeyinfo = '<div class="keyinfo">';
		$newkeyinfo = '<div class="keyinfo" style="width:60%">';
		$skim[$oldkeyinfo] = $newkeyinfo;
		$messageicon = '<div class="messageicon"';
		$nomessageicon = '<div class="messageicon" style="display:none"';
		$skim[$messageicon] = $nomessageicon;
		$threadtitle = '<h5 id="subject';
		$nothreadtitle = '<h5 style="display:none" id="subject';
		$skim[$threadtitle] = $nothreadtitle;
		$noreplymargin = '<div class="smalltext">&#171; <strong>';
		$replymargin = '<div class="smalltext" style="margin-top:0.2em;"><strong>';
		$skim[$noreplymargin] = $replymargin;
		$withquote = ' &#187;</div>';
		$noquote = '</div>';
		$skim[$withquote] = $noquote;
		$qboldmargin = '<ul class="reset smalltext quickbuttons">';
		$qbnewmargin = '<ul class="reset smalltext quickbuttons" style="margin: 0.2em 15px 0 0;">';
		$skim[$qboldmargin] = $qbnewmargin;
		$qbwithicon = 'button"><a href';
		$qbnoicon = 'button" style="background:none; margin-top:0.2em;"><a style="padding:0;" href';
		$skim[$qbwithicon] = $qbnoicon;
	}
	// Now let's change them, if we're allowed to
	return str_replace(array_keys($skim), array_values($skim), $buffer);
}

function SKIM_Settings(&$config_vars)
{
	// Load language(s)
	loadLanguage('SKIM');
	// Add setting(s)
	$skim = array(
			'',
			array('check', 'skim_enable'),
	);
	// Insert after all available slice.
	$first = array_slice($config_vars, 0);
	$config_vars = array_merge($first, $skim);
}
?>